cli/lib: remove support for GMime 2.4